Bug 1628016 (CVE-2018-16422) - CVE-2018-16422 opensc: Buffer overflow handling responses from esteid cards in pkcs15-esteid.c:sc_pkcs15emu_esteid_init()
Summary: CVE-2018-16422 opensc: Buffer overflow handling responses from esteid cards i...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-16422
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1628017 1628018 1630207
Blocks: 1622787
TreeView+ depends on / blocked
 
Reported: 2018-09-12 05:39 UTC by Sam Fowler
Modified: 2019-09-29 14:58 UTC (History)
5 users (show)

Fixed In Version: opensc 0.19.0-rc1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:19:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2154 None None None 2019-08-06 12:21:51 UTC

Description Sam Fowler 2018-09-12 05:39:27 UTC
A single byte buffer overflow when handling responses from an esteid Card in sc_pkcs15emu_esteid_init in libopensc/pkcs15-esteid.c in OpenSC before 0.19.0-rc1 could be used by attackers able to supply crafted smartcards to cause a denial of service (application crash) or possibly have unspecified other impact.


External References:

https://www.x41-dsec.de/lab/advisories/x41-2018-002-OpenSC/


Upstream Patch:

https://github.com/OpenSC/OpenSC/commit/360e95d45ac4123255a4c796db96337f332160ad#diff-d64c08c80437cf0006ada91e50f20ba0

Comment 1 Sam Fowler 2018-09-12 05:39:59 UTC
Created opensc tracking bugs for this issue:

Affects: fedora-all [bug 1628017]

Comment 5 errata-xmlrpc 2019-08-06 12:21:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2154 https://access.redhat.com/errata/RHSA-2019:2154

Comment 6 Product Security DevOps Team 2019-08-06 13:19:35 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-16422


Note You need to log in before you can comment on or make changes to this bug.